@import "_variables";

* {
  box-sizing: border-box;
  outline: none;
}

@keyframes l {
  to {
    clip-path: inset(0 -1ch 0 0)
  }
}

body {
  background-color: var(--background-color);

  .main-background {
    position: fixed;
    background-color: var(--background-color);
    background-repeat: no-repeat;
    background-attachment: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: -100;
  }

  .warning-text {
    color: var(--message-warning-color);
  }
  .danger-color{
    color: var(--message-danger-color);
  }

  a.no-styles {
    color: inherit; /* blue colors for links too */
    text-decoration: inherit; /* no underline */
  }

  ul.no-bullets {
    list-style-type: none;
    padding: 0;
    margin: 0;
  }

  .course-select-button-container {
    padding: 30px;
    border: 1px solid black;
    margin: 10px;
    font-size: 1.3rem;
    font-width: bold;
  }

  .course-editor{
    border: 1px solid var(--border-color);
    border-radius: var(--border-radius-basic);

    .rdw-editor-toolbar{
      a{
        text-decoration:none;
        color: var(--text-color);
      }
    }
    .rdw-editor-main{
      padding: 10px;
    }
  }

  .company-option {
    .ico {
      font-size: 1.2rem;
      margin: 0;
    }

    .name {
      font-size: 0.8rem;
    }

    mark {
      padding: 0;
      background-color: var(--highlighter-color-green);
    }
  }

  //modal for docx viewver
  .document-viewver-modal{
    padding: 0;
    width: 900px;
    margin: auto;
    overflow: visible;
    position: absolute;
    inset: 40px;
    border: 1px solid var(--border-color);
    background: var(--background-color);
    border-radius: 4px;
    outline: none;

    iframe {
      height: calc(100vh - 148px) !important;
      max-height: 1200px;
    }
  }

  // loading dots
  .loading-dots {
    font-weight: bold;
    display: inline-block;
    font-family: monospace;
    font-size: 30px;
    clip-path: inset(0 3ch 0 0);
    animation: l 1s steps(4) infinite;
  }

  .shadow-container {
    box-shadow: @boxShadow;
    border-radius: @hub-border-radius;
    padding: 30px 50px;
    transition: width 1s;
  }

  .main-container {
    width: calc(100vw - 50px);
    max-width: 1700px;
    box-shadow: @boxShadow;
    border-radius: @hub-border-radius;
    padding: 30px 50px;
    margin: auto auto 40px;
    transition: width 1s;

    &.md {
      width: calc(100vw - 400px);
    }


    .form-part {
      min-width: 400px;
    }

    .serach-company-row {
      max-width: 500px;
      margin: auto;

      .col:last-child {
        display: flex;
        flex-direction: column;
        justify-content: flex-end;

        > button {
          height: 38px;
        }
      }
    }

    .alert {
      margin-top: 15px;
    }

    .row {
      margin-top: 10px;
    }

    h4 {
      margin-top: 15px;
    }

    .action-container {
      margin-top: 30px;
      text-align: center;
    }
  }

  .sectionTest {
    :global .Select-control {
      height: 30px;
    }

    :global .Select-placeholder {
      line-height: 20px
    }

    :global .Select-value {
      line-height: 26px !important;
    }

    :global .Select-value-label {
      line-height: 26px;
    }

    :global .Select-input {
      height: 26px;
    }
  }

  //react-datepicker
  .react-select__menu {
    border-radius: var(--border-radius-basic);
    overflow: hidden;

    > div {
      padding: 0;
    }
  }

  .react-select__control {
    &.react-select__control--is-focused {
      box-shadow: 0 0 0 1px var(--primary-color);
      border-color: var(--primary-color);
    }
  }

  .react-select__menu {
    > div > div { // options

      &.react-select__option--is-selected {
        background: var(--button-hover-background);
        opacity: 1;
      }

      &.react-select__option--is-focused {
        background: var(--button-background);
        color: var(--button-color);
        //opacity: 0.7;
      }
    }
  }

  // React Modal
  .ReactModal__Content {
    border-radius: var(--border-radius-large) !important;

    > .modal-button-close {
      background-color: #c7c7c7;
      border: 1px solid #cfcece;
      cursor: pointer;
      display: block;
      font-size: 15px;
      padding: 3px 9px;
      position: absolute;
      right: 0;
      border-top-right-radius: var(--border-radius-basic);
    }

    > .file-modal-header {
      text-align: center;
      background: #efefef;
      border-top-left-radius: var(--border-radius-large);
      border-top-right-radius: var(--border-radius-large);
      font-weight: bold;
    }
  }

  .commonLoadingSpinner {
    opacity: 0.5;
    position: relative;

    &.blind > *{
      opacity: 0;
    }

    * {
      pointer-events: none;
    }

    &:before {
      .font-awesome();
      -webkit-font-smoothing: antialiased;
      -moz-osx-font-smoothing: grayscale;
      content: "\f110";
      -webkit-animation: fa-spin 2s infinite linear;
      animation: fa-spin 2s infinite linear;
      font-size: 60px;
      position: absolute;
      top: calc(~'50% - 30px');
      left: calc(~'50% - 30px');
      z-index: 2;
      color: #222;
    }

    &.btn:before {
      font-size: 20px;
      top: calc(50% - 15px);
      left: calc(50% - 15px);
    }
  }

  table {
    td{
      overflow: hidden;
      text-overflow: ellipsis;
    }
    &.first-col-id {
      thead > tr > th:first-child, tbody > tr > td:first-child {
        width: 60px;
      }
    }

    tr {
      &.selected {
        td {
          background-color: var(--button-background);
          color: var(--button-color) !important;
        }
      }
    }
  }

  .table-component-holder {
    padding: 0;

    .container {
      padding: 0;
    }

    .table-actions-containert {
      display: flex;
      justify-content: flex-end;
      margin-bottom: 10px;
    }

    .pagination-container {
      .pagination-show-per-page {
        display: flex;
        align-items: center;
        padding-bottom: 12px;
        padding-top: 10px;

        select {
          width: fit-content;
          margin-left: 10px;
          margin-right: 10px;
          height: 30px;
          padding: 0 30px 0 10px;
          text-align: center;
        }
      }
    }
  }

  // filters comparators
  .date-filter-comparator.simple-text {
    border: 0;
    width: 25px !important;
    pointer-events: none !important;

  }

  .filter.date-filter-input.wide {
    width: calc(100% - 15px);
  }

  // common
  table {
    thead > tr > th {
      vertical-align: baseline;
      user-select: none;

      input, select {
        padding: 0 !important;
        padding-left: 5px !important;
        padding-top: 3px !important;
        padding-bottom: 3px !important;
        font-size: 0.9rem !important;
      }
    }

    tr.evented {
      cursor: pointer;
    }
  }

  .head-line-separator {
    position: relative;
    text-align: center;
    margin-bottom: 15px;

    h4 span {
      padding-left: 10px;
      padding-right: 10px;
      background-color: white;
    }

    &:before {
      content: '';
      position: absolute;
      top: 50%;
      left: 0;
      right: 0;
      bottom: 0;
      z-index: -1;
      border-top: 1px solid #e6e6e6;
      margin: 0 auto;
    }
  }

  .main-nav {
    position: relative;
    min-height: 50px;
    padding-left: 80px;
    padding-top: 15px;
    margin-bottom: 20px;
    padding-bottom: 10px;
    border-bottom: 1px solid var(--border-color);
    box-shadow: 0 5px 14px -14px #000000;

    .nav-tree {
      a, a:active, a:hover {
        text-transform: capitalize;
        color: var(--text-color);
        text-decoration: none;
        font-size: 1.3rem;
      }
    }

    .right-actions {
      .user-name {
        margin-right: 10px;
      }

      text-align: right;
    }
  }


  .btn {
    &:focus, .focus {
      box-shadow: none !important;
    }

    &.btn-primary {
      color: var(--button-color);
      background-color: var(--button-background);
      border: none;

      &:hover, &:focus {
        color: var(--button-hover-color);
        background-color: var(--button-hover-background);
      }
    }
  }

  .form-check-input:checked {
    background-color: var(--primary-color);
    border-color: var(--button-border-color);
  }


  .page-item {
    .page-link {
      color: var(--text-color);
      border-color: var(--border-color);
    }

    &.active {
      .page-link {
        color: var(--button-color);
        background-color: var(--button-background);
        border-color: var(--border-color);

        &:hover {
          color: var(--button-hover-color);
          background-color: var(--button-hover-background);
        }
      }
    }
  }

  //react-contextmenu styling
  .react-contextmenu {
    background-color: var(--background-color);
    background-clip: padding-box;
    border: 1px solid rgba(0, 0, 0, .15);
    box-shadow: @boxShadow;
    border-radius: var(--border-radius-basic);
    color: var(--color);
    font-size: 1rem;
    margin: 2px 0 0;
    min-width: 160px;
    outline: none;
    opacity: 0;
    padding: 5px 0;
    pointer-events: none;
    text-align: left;
    transition: opacity 250ms ease !important;

    &.react-contextmenu--visible {
      opacity: 1;
      pointer-events: auto;
      z-index: 9999;
    }

    &.context-with-icons{
     .react-contextmenu-item i{
       min-width: 20px;
     }
    }

    .react-contextmenu-item {
      background: 0 0;
      border: 0;
      color: #373a3c;
      cursor: pointer;
      font-weight: 400;
      line-height: 1.5;
      padding: 3px 20px;
      text-align: inherit;
      white-space: nowrap;

      &:hover{
        background: var(--button-background);
        &, >span{
          color: var(--button-color) !important;
        }
      }
    }
  }

  .add-plus-icon {
    height: fit-content;
    opacity: 0.5;
    cursor: pointer;

    &:hover {
      opacity: 1;
    }
  }


  .icon-bg {
    background-color: var(--background-color);
    padding: 10px 20px;
    font-size: 2rem;
    box-shadow: @boxShadow;
    border-radius: var(--border-radius-large);
  }

  .word-file {
    max-width: 60px;
    cursor: pointer;

    > .word-icon {
      color: #285391;
    }

    .file-name {
      font-size: 0.71rem;
      line-height: 1.5em;
      height: 3em; /* height is 2x line-height, so two lines will display */
      overflow: hidden; /* prevents extra lines from being visible */
      word-wrap: break-word;
    }
  }

  #welcome-page {
    .welcome-banner {
      position: relative;
      color: #cdbfe3;
      text-align: left;
      text-shadow: 0 1px 0 rgb(0 0 0 / 10%);
      background-color: var(--primary-color);
      background-image: var(--primary-color-gradient);
      background-repeat: repeat-x;
      padding: 80px 0 80px 80px;
    }
  }

  #login-form {
    position: absolute;
    box-shadow: @boxShadow;
    max-width: 550px;
    width: 100%;
    padding: 60px;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    border-radius: @hub-border-radius;

    button[type="submit"] {
      width: 100%;
      padding-top: 10px;
      padding-bottom: 10px;
      font-size: 1.1rem;
    }

    .switch-to-english {
      position: relative;
      text-decoration: underline;
      float: right;
      margin-top: 30px;
      cursor: pointer;
    }

    .redirect-to-stag {
      width: 100%;
      text-align: center;
      text-decoration: underline;
      cursor: pointer;
      margin-bottom: 10px;
    }
  }

  #admin-home {
    width: 1100px;
    position: relative;
    margin: auto;
    padding-top: 20px;

    .intership-table-container {
      max-width: 100%;
    }
  }

  #login-progress {
    position: absolute;
    font-size: 5rem;
    text-align: center;
    top: 50%;
    left: 0;
    right: 0;
    transform: translate(0, -50%);
    opacity: 0.5;
  }

  .state-diagram {
    --border-stroke: 10px;

    position: relative;
    display: inline-flex;

    > div {
      flex: 1
    }

    .arrow-right {
      font-size: 3rem;
      margin-left: 30px;
      margin-right: 15px;
      display: flex;
      padding-top: 28px;
    }

    .part-container {
      position: relative;
      padding: 0;

      .circle-part {
        height: 100px;
        width: 100px;
        border-radius: 100%;
        border: var(--border-stroke) solid var(--primary-color);
        display: flex;
        align-content: center;
        justify-content: center;
        align-items: center;
        outline: solid 2px black;
        outline-offset: -12px;

        &.outer-black-border {
          position: absolute;
          border: 2px solid black;
          border-collapse: collapse;
        }

        &.colored-part {
          border: double var(--border-stroke) transparent;
          border-radius: 100%;
          background-origin: border-box;
          background-clip: content-box, border-box;
        }

        .center-icon {
          font-size: 2.5rem;
          color: var(--primary-text-color);
          -webkit-background-clip: text !important;;
          -webkit-text-stroke-width: 3px;
          -webkit-text-stroke-color: black;
          background-clip: text !important;
          color: transparent;
          -webkit-background-clip: text !important;;
          -webkit-text-stroke-width: 3px;
          -webkit-text-stroke-color: black;

        }
      }
    }

    .description-text {
      text-align: center;
      margin-top: 15px;
      font-size: 1.1rem;

      button {
        position: absolute;
        bottom: -10px;
        width: max-content;
      }
    }
  }
}

